Last Comment Bug 313933 - select1 initial size wrong
: select1 initial size wrong
Status: RESOLVED FIXED
: fixed1.8.0.2, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: ---
Assigned To: Olli Pettay [:smaug] (TPAC)
: Stephen Pride
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-26 13:22 PDT by Doron Rosenberg (IBM)
Modified: 2016-07-15 14:46 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
testcase (2.39 KB, application/xhtml+xml)
2005-10-26 13:23 PDT, Doron Rosenberg (IBM)
no flags Details
Remove wrong optimization (1.20 KB, patch)
2005-10-27 14:18 PDT, Olli Pettay [:smaug] (TPAC)
doronr: review+
allan: review+
Details | Diff | Splinter Review

Description Doron Rosenberg (IBM) 2005-10-26 13:22:56 PDT
var popupBox = document.getBoxObjectFor(this.popup);
var w = popupBox.width;

returns 0 and 2 (2 calls) on startup with this testcase
Comment 1 Doron Rosenberg (IBM) 2005-10-26 13:23:30 PDT
Created attachment 200906 [details]
testcase
Comment 2 Doron Rosenberg (IBM) 2005-10-26 13:26:56 PDT
In this testcase (linux and windows, branch and trunk), the select1 is not wide enough.  Changing the instance data using the input fixes the issue.
Comment 3 Olli Pettay [:smaug] (TPAC) 2005-10-27 14:18:17 PDT
Created attachment 201048 [details] [diff] [review]
Remove wrong optimization

The "optimization" in 
http://lxr.mozilla.org/seamonkey/source/extensions/xforms/nsXFormsDelegateStub.cpp#106
should be enough.
Comment 4 Olli Pettay [:smaug] (TPAC) 2005-10-28 11:02:36 PDT
Checked in
Comment 5 aaronr 2006-02-02 17:15:24 PST
checked into MOZILLA_1_8_BRANCH via bug 323691.  Leaving open for now until it gets into 1.8.0
Comment 6 aaronr 2006-07-07 10:06:14 PDT
verfied fixed on MOZILLA_1_8_BRANCH

Note You need to log in before you can comment on or make changes to this bug.